Competitor AdsRefresh a page now

Refresh a page now

Scrape the page now and store its ads. Synchronous: up to about a minute for 50 ads. Media copies, transcripts and analysis follow in the background. At most once per page every 10 minutes and 20 manual refreshes per client per 24 hours. Deleting and re-adding a page does not reset either limit.

curl -X POST "https://mythic-analytics.gulp.workers.dev/client/v1/competitor-ads/pages/123e4567-e89b-12d3-a456-426614174000/refresh?location_id=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": {
    "page": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "page_id": "example_string",
      "country": "USA",
      "label": "example_string",
      "max_ads": 42,
      "active": true,
      "page_name": "John Doe",
      "last_refresh_at": "2024-12-25T10:00:00Z",
      "last_refresh_status": "ok",
      "last_refresh_error": "example_string",
      "last_refresh_counts": {
        "received": 42,
        "inserted": 42,
        "updated": 42,
        "changed": 42,
        "gone": 42,
        "rejected": 42,
        "total_results": 42,
        "returned_ads": 42,
        "pagination_complete": true,
        "ms": 42
      },
      "next_refresh_at": "2024-12-25T10:00:00Z",
      "refreshing": true,
      "created_at": "2024-12-25T10:00:00Z",
      "updated_at": "2024-12-25T10:00:00Z"
    },
    "status": "ok",
    "counts": {
      "received": 42,
      "inserted": 42,
      "updated": 42,
      "changed": 42,
      "gone": 42,
      "rejected": 42,
      "total_results": 42,
      "returned_ads": 42,
      "pagination_complete": true,
      "ms": 42
    }
  }
}
POST
/client/v1/competitor-ads/pages/{id}/refresh
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with competitor_ads:read or competitor_ads:write. See Using an mcp_ key over HTTP.

Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with competitor_ads:read or competitor_ads:write. See Using an mcp_ key over HTTP.
path
idstring
Required

The tracked page id from the list, not the Facebook page id.

Format: uuid
query
location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with competitor_ads:read or competitor_ads:write. See Using an mcp_ key over HTTP.

Path Parameters

idstring
Required

The tracked page id from the list, not the Facebook page id.

Query Parameters

location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

Responses

successboolean
dataobject